<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:wsa10="http://www.w3.org/2005/08/addressing" xmlns:wsx="http://schemas.xmlsoap.org/ws/2004/09/mex" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd" xmlns:wsp="http://schemas.xmlsoap.org/ws/2004/09/policy" xmlns:wsap="http://schemas.xmlsoap.org/ws/2004/08/addressing/policy" xmlns:msc="http://schemas.microsoft.com/ws/2005/12/wsdl/contract" xmlns:wsa="http://schemas.xmlsoap.org/ws/2004/08/addressing" xmlns:wsam="http://www.w3.org/2007/05/addressing/metadata" xmlns:wsaw="http://www.w3.org/2006/05/addressing/wsdl" xmlns:tns="http://hpc.microsoft.com/brokercontroller/" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" targetNamespace="http://hpc.microsoft.com/brokercontroller/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <xsd:schema targetNamespace="http://hpc.microsoft.com/brokercontroller/Imports">
      <xsd:import namespace="http://hpc.microsoft.com/brokercontroller/" schemaLocation="hpc.microsoft.com.brokercontroller.xsd" />
      <xsd:import namespace="http://hpc.microsoft.com/sessionlauncher/" />
      <xsd:import namespace="http://schemas.microsoft.com/2003/10/Serialization/" />
      <xsd:import namespace="http://hpc.microsoft.com" />
      <xsd:import namespace="http://schemas.datacontract.org/2004/07/Microsoft.Hpc.Scheduler.Properties" />
      <xsd:import namespace="http://schemas.datacontract.org/2004/07/Microsoft.Hpc.Scheduler.Session" />
      <xsd:import namespace="http://schemas.microsoft.com/2003/10/Serialization/Arrays" />
      <xsd:import namespace="http://schemas.datacontract.org/2004/07/System.Security.Authentication" />
      <xsd:import namespace="http://schemas.datacontract.org/2004/07/System" />
      <xsd:import namespace="http://hpc.microsoft.com/brokerlauncher/" />
    </xsd:schema>
  </wsdl:types>
  <wsdl:message name="IBrokerController_EndRequests_InputMessage">
    <wsdl:part name="parameters" element="tns:EndRequests" />
  </wsdl:message>
  <wsdl:message name="IBrokerController_EndRequests_OutputMessage">
    <wsdl:part name="parameters" element="tns:EndRequestsResponse" />
  </wsdl:message>
  <wsdl:message name="IBrokerController_Purge_InputMessage">
    <wsdl:part name="parameters" element="tns:Purge" />
  </wsdl:message>
  <wsdl:message name="IBrokerController_Purge_OutputMessage">
    <wsdl:part name="parameters" element="tns:PurgeResponse" />
  </wsdl:message>
  <wsdl:message name="IBrokerController_PullResponses_InputMessage">
    <wsdl:part name="parameters" element="tns:PullResponses" />
  </wsdl:message>
  <wsdl:message name="IBrokerController_PullResponses_OutputMessage">
    <wsdl:part name="parameters" element="tns:PullResponsesResponse" />
  </wsdl:message>
  <wsdl:portType name="IBrokerController">
    <wsdl:operation name="EndRequests">
      <wsdl:input wsaw:Action="http://hpc.microsoft.com/brokercontroller/IBrokerController/EndRequests" message="tns:IBrokerController_EndRequests_InputMessage" />
      <wsdl:output wsaw:Action="http://hpc.microsoft.com/brokercontroller/IBrokerController/EndRequestsResponse" message="tns:IBrokerController_EndRequests_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="Purge">
      <wsdl:input wsaw:Action="http://hpc.microsoft.com/brokercontroller/IBrokerController/Purge" message="tns:IBrokerController_Purge_InputMessage" />
      <wsdl:output wsaw:Action="http://hpc.microsoft.com/brokercontroller/IBrokerController/PurgeResponse" message="tns:IBrokerController_Purge_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="PullResponses">
      <wsdl:input wsaw:Action="http://hpc.microsoft.com/brokercontroller/IBrokerController/PullResponses" message="tns:IBrokerController_PullResponses_InputMessage" />
      <wsdl:output wsaw:Action="http://hpc.microsoft.com/brokercontroller/IBrokerController/PullResponsesResponse" message="tns:IBrokerController_PullResponses_OutputMessage" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="DefaultBinding_IBrokerController" type="tns:IBrokerController">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="EndRequests">
      <soap:operation soapAction="http://hpc.microsoft.com/brokercontroller/IBrokerController/EndRequests" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="Purge">
      <soap:operation soapAction="http://hpc.microsoft.com/brokercontroller/IBrokerController/Purge" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="PullResponses">
      <soap:operation soapAction="http://hpc.microsoft.com/brokercontroller/IBrokerController/PullResponses" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="BrokerController">
    <wsdl:port name="DefaultBinding_IBrokerController" binding="tns:DefaultBinding_IBrokerController">
      <soap:address location="https://localhost/BrokerController" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>